新手问题 gem source add 报错

mojidong · 2012年07月24日 · 最后由 mojidong 回复于 2012年07月24日 · 4038 次阅读
rvm pkg install zlib
rvm install 1.9.3 --with-zlib-dir=/home/user/.rvm/usr
rvm use 1.9.3 --default
gem source -a http://ruby.taobao.org/

直接报错
`require': cannot load such file -- zlib (LoadError)

为什么还是提示找不到 zlib

sudo apt-get install zlib1g zlib1g-dev

@huacnlee 不是已经安装过了么? rvm pkg install zlib 为什么还要用 apt-get 安装一次

额,忽略我上面个回复 rvm install 1.9.3 --with-zlib 后面 /home/user 的 user 要改成你的用户名

@huacnlee user 就是我的用户名。。。

上面的教程你哪里看的啊?

@huacnlee 看到 wiki 里面有这样子装 readlines 我想 zlib 应该也可以

@huacnlee rvm pkg 这种方式安装依赖是否可以替代apt-get

需要 登录 后方可回复, 如果你还没有账号请 注册新账号